Summary: An encoder/decoder for the Free Lossless Audio Codec
Name: flac
Version: 1.3.4
Release: 3%{?dist}
License: BSD and GPLv2+ and GFDL
URL: https://www.xiph.org/flac/
Source0: https://downloads.xiph.org/releases/flac/flac-%{version}.tar.xz

BuildRequires: libogg-devel gettext-devel doxygen
BuildRequires: gcc gcc-c++ make automake autoconf libtool
Requires: %{name}-libs = %{version}-%{release}

%description
FLAC stands for Free Lossless Audio Codec, an audio format similar to MP3,
but lossless, meaning that audio is compressed in FLAC without any loss in
quality. This is similar to how Zip works, except with FLAC you will get
much better compression because it is designed specifically for audio, and
you can play back compressed FLAC files in your favorite player.

%package libs
Summary: Libraries for the Free Lossless Audio Codec

%description libs
This package provides the FLAC libraries.

%package devel
Summary: Development libraries and header files from FLAC
Requires: %{name}-libs = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides development files for %{name}.

%prep
%autosetup

%build
./autogen.sh -V

export CFLAGS="%{optflags} -funroll-loops"
%configure \
    --htmldir=%{_docdir}/flac/html \
    --disable-xmms-plugin \
    --disable-silent-rules \
    --disable-thorough-tests

%make_build

%install
%make_install

mv %{buildroot}%{_docdir}/flac* ./flac-doc
mkdir -p flac-doc-devel
mv flac-doc{/html/api,-devel}
rm flac-doc/FLAC.tag
rm %{buildroot}%{_libdir}/*.la

%check
make check


%files
%license COPYING*
%doc flac-doc/*
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/*

%files libs
%doc AUTHORS README
%{_libdir}/libFLAC.so.8*
%{_libdir}/libFLAC++.so.6*

%files devel
%doc flac-doc-devel/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*.m4

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 cunshunxia <cunshunxia@tencent.com> - 1.3.4-1
- initial build
